Name:           jtype
Version:        0.1.2
Release:        %mkrel 11
Group:          Development/Java
Summary:        A small library for working with the Java 5 type system
License:        ASL 2.0
URL:            https://github.com/markhobson/jtype
Source0:        https://github.com/markhobson/jtype/archive/%{version}.tar.gz
# Add missing method getAnnotatedBounds()
Patch0:         jtype-0.1.2-java8.patch

BuildArch:      noarch
BuildRequires:  maven-local
# test deps
BuildRequires:  mvn(junit:junit)
#BuildRequires:  mvn(org.jmock:jmock-junit4)
#BuildRequires:  mvn(org.jmock:jmock-legacy)

%description
Java 5 introduced a richer type system for generics with Type and its various
sub-types, but lacks any easy way to perform common operations on these types.
JType aims to fill this gap.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# disable org.jvnet.wagon-svn:wagon-svn
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
%patch0 -p0

%mvn_file : %{name}

%build

# Disable test suite jmock require cglib < 3.x
%mvn_build -f

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 0.1.2-11.mga6
+ Revision: 981298
- First rebuild of the java stack
- sync package jtype with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 daviddavid <daviddavid> 0.1.2-10.mga5
+ Revision: 807749
- Sync with fc21

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jan 01 2014 dmorgan <dmorgan> 0.1.2-7.mga4
+ Revision: 563877
- Rebuild against java stack

* Tue Dec 31 2013 dmorgan <dmorgan> 0.1.2-6.mga4
+ Revision: 563540
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-4.mga3
+ Revision: 355669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 0.1.2-3.mga3
+ Revision: 291956
- Fix maven build

* Fri Oct 28 2011 gil <gil> 0.1.2-1.mga2
+ Revision: 159013
- imported package jtype


* Wed Jul 27 2011 gil <gil> 0.1.2-0.mga2
- initial rpm

